Subject: [PATCH v3 0/4] ARM: dts: Update OMAP5 with address space and interrupts

From: [email-masked] (Sebastien Guiriec)
Date: Wed, 24 Oct 2012 11:27:23 +0200

Hi Benoit,

On 10/24/2012 11:15 AM, Benoit Cousson wrote:
> Hi Seb,
>
> Sorry, I missed your previous email, your v2 was the right one.
> We do have a single INTC in every OMAP, there is no point to repeat the
> same data hundred times.
> The DTS are already big enough.

So in such case we should send a series for audio IP interrupt-parent 
removal for OMAP3/4/5 dtsi file in order to be coherent.

Do you want me to do it?

>
> On 10/24/2012 09:07 AM, Sebastien Guiriec wrote:
>> Since kernel 3.7 the DTS data are not overwriten by hwmod data we can add the address space
>> and interrupt line description inside dtsi file for OMAP5. This serie is updating the
>> current OMAP5 IP with missing entry.
>>
>> It has been tested on OMAP5 with 3.7-audio-display feature tree.
>> - MMC is probing and functional
>> - TWL6041 probing (GPIO/I2C)
>> - booting (UART)
>>
>> Update since v1:
>> - Add Ack and review
>> - Fix up commit messages.
>>
>> Update since v2:
>> - Add interrupt-parent.
>
> I will take the previous one to avoid the duplication of attributes.
>
> On top of that I will remove the ones introduce in audio IPs for
> consistency on OMAP3/4/5 platforms.
>
> Regards,
> Benoit
>